Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# dmd.dinifile

Compiler implementation of the D programming language.
Authors:
Walter Bright
License:
Boost License 1.0

Source dinifile.d

Documentation https://dlang.org/phobos/dmd_dinifile.html

Coverage https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dinifile.d

const(char)[] `findConfFile`(const(char)[] `argv0`, const(char)[] `inifile`);
  Find the config file
  Parameters:

  const(char)[] `argv0` | program name (argv[0])
  const(char)[] `inifile` | .ini file name

  Returns:
  file path of the config file or NULL

  Note this is a memory leak

const(char)* `readFromEnv`(StringTable* `environment`, const(char)* `name`);
  Read from environment, looking for cached value first.
  Parameters:

  StringTable* `environment` | cached copy of the environment
  const(char)* `name` | name to look for

  Returns:
  environment value corresponding to name
void `updateRealEnvironment`(StringTable* `environment`);
  Update real environment with our copy.
  Parameters:

  StringTable* `environment` | our copy of the environment

void `parseConfFile`(StringTable* `environment`, const(char)* `filename`, const(char)* `path`, size_t `length`, ubyte* `buffer`, Strings* `sections`);
  Read and analyze .ini file. Write the entries into environment as well as any entries in one of the specified section(s).
  Parameters:

  StringTable* `environment` | our own cache of the program environment
  const(char)* `filename` | name of the file being parsed
  const(char)* `path` | what @P will expand to
  size_t `length` | length of the configuration file buffer
  ubyte* `buffer` | contents of configuration file
  Strings* `sections` | section names

Copyright © 1999-2019 by the D Language Foundation | Page generated by Ddoc on Sat Mar 2 03:26:42 2019